ghc-lib-parser-9.10.1.20250103: The GHC API, decoupled from GHC versions

Copyright | (c) Clark Gaebel 2012 (c) Johan Tibel 2012
License | BSD-style
Maintainer | libraries@haskell.org
Portability | portable
Safe Haskell | Ignore
Language | GHC2021

GHC.Utils.Containers.Internal.BitUtil

Description

Synopsis

- bitcount :: Int -> Word64 -> Int
- highestBitMask :: Word64 -> Word64
- shiftLL :: Word64 -> Int -> Word64
- shiftRL :: Word64 -> Int -> Word64

# Documentation

bitcount :: Int -> Word64 -> Int #

highestBitMask :: Word64 -> Word64 #

Return a word where only the highest bit is set.

shiftLL :: Word64 -> Int -> Word64 #

shiftRL :: Word64 -> Int -> Word64 #